#!/bin/bash
set -e
dpbuddy status -class Version
# This will print the status of all services,
# including their ports in all domains
dpbuddy serviceStatus -domainPatterns ".*"
# Check the status of the LBG group,
# fail if any member of test-group is not in 'up' state
dpbuddy assertStatus -class "LoadBalancerStatus2" -expression "(Group!='test-group' || Health=='up')"
dpbuddy assertState
dpbuddy assertState -classPattern "(WSGateway|XMLFi.*)" -activeService
dpbuddy assertOpenPorts -ports "9090, 5550" -domain default

