#!/bin/bash
set -e
dpbuddy restartDomain
dpbuddy resetDomain
# Create domain, change the default number of checkpoints
dpbuddy createDomain -maxCheckpoints 5

# Delete the domain if exists and then create it. This will wipe out the domain's configuration and all the files
dpbuddy createDomain -delete -save

# Save the domain's configuration
dpbuddy save
